Bug 158269 - Gnibbles crashes on "Game->New", fixed upstream....
Gnibbles crashes on "Game->New", fixed upstream....
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-games (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
 
Reported: 2005-05-19 23:47 EDT by Richard Hoelscher
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-20 11:15:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 304334 None None None Never

  None (edit)
Description Richard Hoelscher 2005-05-19 23:47:54 EDT
There's a crasher when a new game of Gnibbles is started in the latest FC test.
It happens with gnome-games source or binary RPMs, not with the typical install,
so it's never been reported before.

The fix is very simple and revolves around improper use of fgets and bug
overflows, more about it can be found upstream:
http://bugs.gnome.org/show_bug.cgi?id=304334

We've had 4 reports of this bug upstream in just 7 days.
Comment 1 Ray Strode [halfline] 2005-05-20 09:41:06 EDT
Thanks, I'll see if I can get this taken care for FC4.
Comment 2 Ray Strode [halfline] 2005-05-20 11:15:09 EDT
should be fixed in tomorrow's rawhide.  Thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.